/**
 * Assignment #7: Disk Scheduling Algorithms
 * Sample Solution
 *
 * Instructor: Ron Mak
 * CMPE 142 Operating Systems
 * Computer Engineering Department
 * San Jose State University
 */
#ifndef FCFS_H_
#define FCFS_H_

#include <vector>
#include "SchedulingAlgorithm.h"

using namespace std;

class FCFS : public SchedulingAlgorithm
{
public:
    FCFS(const int max_cylinder)
        : SchedulingAlgorithm("FCFS", max_cylinder) {}

    void move(vector<int> requests)
    {
        for (int cylinder : requests) movement.push_back(cylinder);
    }
};

#endif /* FCFS_H_ */
