/**
 * Assignment #7: Disk Scheduling Algorithms
 * Sample Solution
 *
 * Instructor: Ron Mak
 * CMPE 142 Operating Systems
 * Computer Engineering Department
 * San Jose State University
 */
#ifndef GRAPHER_H_
#define GRAPHER_H_

//#define BOOK

#ifdef BOOK
    #define HEADER_1 "                                                  1                                                 2"
    #define HEADER_2 "     1    2    3    4    5    6    7    8    9    0    1    2    3    4    5    6    7    8    9    0"
    #define HEADER_3 "02468024680246802468024680246802468024680246802468024680246802468024680246802468024680246802468024680"
    #define DIVISOR 2
#else
    #define HEADER_1 "                    1                   2                   3                   4                   5"
    #define HEADER_2 "0.1.2.3.4.5.6.7.8.9.0.1.2.3.4.5.6.7.8.9.0.1.2.3.4.5.6.7.8.9.0.1.2.3.4.5.6.7.8.9.0.1.2.3.4.5.6.7.8.9.0"
    #define HEADER_3 "0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0"
    #define DIVISOR 50
#endif

#include <iostream>
#include <iomanip>
#include <vector>

using namespace std;

class Grapher
{
public:
    void graph(vector<int> sorted)
    {
        cout << endl;
        cout << HEADER_1 << endl;
        cout << HEADER_2 << endl;
        cout << HEADER_3 << endl;

        for (int cylinder : sorted)
        {
            int position = cylinder/DIVISOR;

            for (int i = 0; i < position; i++) cout << " ";
            cout << "*" << cylinder << endl;
        }
    }
};

#endif /* GRAPHER_H_ */
